#!/usr/bin/env bash

build=true

case "$1" in
	"--skip-build")
		echo "Skipping build..."
		build=false
	;;
esac

if $("$build"); then
	sh build.sh
fi

projectroot=$(pwd)
builddir=/tmp/TextSuggest-bin-pkg-build


mkdir -p $builddir
cp bin/* $builddir/

cd $builddir

mkdir -p libs

for bin in textsuggest textsuggest-server /usr/lib/qt/plugins/platforms/libqxcb.so; do
	for lib in $(ldd "$bin" | grep "=>" | awk '{ print $3 }'); do
		cp "$lib" libs
	done;

done;

cp /usr/lib/qt/plugins/platforms/libqxcb.so libs

cd $projectroot

cp -r textsuggest $builddir/textsuggest-data
cp README.md $builddir
cp LICENSE $builddir
cp bin-pkg-tools/textsuggest-server.sh $builddir
cp bin-pkg-tools/textsuggest.sh $builddir
cp bin-pkg-tools/install-bin-pkg.sh $builddir/install.sh

cd $builddir

zip -r TextSuggest-Pkg.zip * **/*

cd $projectroot
